This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Upgrade to ExtUtils::MakeMaker 6.25
[perl5.git] / lib / ExtUtils / MakeMaker / vmsish.pm
CommitLineData
479d2113
MS
1package ExtUtils::MakeMaker::vmsish;
2
3use vars qw($VERSION);
4$VERSION = 0.01;
5
6my $IsVMS = $^O eq 'VMS';
7
8require vmsish if $IsVMS;
9
10
11sub import {
12 return unless $IsVMS;
13
14 shift;
15 unshift @_, 'vmsish';
16
17 goto &vmsish::import;
18}
19
201;
21
22
23=head1 NAME
24
a7d1454b 25ExtUtils::MakeMaker::vmsish - Platform-agnostic vmsish.pm
479d2113
MS
26
27=head1 SYNOPSIS
28
29 use just like vmsish.pm
30
31=head1 DESCRIPTION
32
33Until 5.8.0, vmsish.pm is only installed on VMS. This means any code
34which has 'use vmsish' in it won't even compile outside VMS. This
35makes ExtUtils::MM_VMS very hard to test.
36
37ExtUtils::MakeMaker::vmsish is just a very thin wrapper around vmsish
38which works just like it on VMS and everywhere else it does nothing.
39
40=cut